Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 138)
@@ -43,4 +43,5 @@
                                                                                
   <parameter name="nb_read_bloc"                          min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
+  <parameter name="nb_inst_read"                          min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
   <parameter name="size_read_queue"                       min="1"   max="16"   step="* 2" default="2"   level="..." description="..." />
   <parameter name="size_reservation_station"              min="1"   max="16"   step="* 2" default="2"   level="..." description="..." />
@@ -48,4 +49,5 @@
                                                                                
   <parameter name="nb_write_bloc"                         min="1"   max="32"   step="* 2" default="1"   level="..." description="..." />
+  <parameter name="nb_inst_write"                         min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
   <parameter name="size_write_queue"                      min="1"   max="16"   step="* 2" default="2"   level="..." description="..." />
   <parameter name="size_execute_queue"                    min="0"   max="16"   step="+ 1" default="2"   level="..." description="..." />
@@ -54,9 +56,14 @@
                                                                                
   <parameter name="nb_load_store_unit"                    min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
-  <parameter name="size_store_queue"                      min="2"   max="128"   step="* 2" default="2"   level="..." description="..." />
-  <parameter name="size_load_queue"                       min="1"   max="128"   step="* 2" default="2"   level="..." description="..." />
+  <parameter name="size_store_queue"                      min="2"   max="128"  step="* 2" default="2"   level="..." description="..." />
+  <parameter name="size_load_queue"                       min="1"   max="128"  step="* 2" default="2"   level="..." description="..." />
   <parameter name="size_speculative_access_queue"         min="1"   max="16"   step="* 2" default="2"   level="..." description="..." />
-  <parameter name="nb_port_check"                         min="1"   max="128"   step="* 2" default="1"   level="..." description="..." />
-  <parameter name="speculative_load"                      min="0"   max="3"    step="+ 1" default="2"   level="..." description="..." />
+  <parameter name="nb_store_queue_bank"                   min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
+  <parameter name="nb_load_queue_bank"                    min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
+  <parameter name="nb_port_check"                         min="1"   max="128"  step="* 2" default="1"   level="..." description="..." />
+  <parameter name="speculative_load"                      min="0"   max="1"    step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="speculative_commit_predictor_scheme"   min="0"   max="8"    step="+ 1" default="1"   level="..." description="cf dir_predictor_scheme" />
+  <parameter name="lsu_pht_size_counter"                  min="1"   max="4"    step="+ 1" default="2"   level="..." description="..." />
+  <parameter name="lsu_pht_nb_counter"                    min="1"   max="4096" step="* 2" default="64"  level="..." description="..." />
   <parameter name="nb_bypass_memory"                      min="0"   max="16"   step="+ 1" default="0"   level="..." description="..." />
   <parameter name="nb_cache_port"                         min="1"   max="16"   step="+ 1" default="1"   level="..." description="..." />
@@ -76,12 +83,12 @@
   <parameter name="btb_size_counter"                      min="2"   max="16"   step="* 2" default="2"   level="..." description="..." />
   <parameter name="btb_victim_scheme"                     min="0"   max="5"    step="+ 1" default="1"   level="..." description="0 : Random, 1 : Round Robin, 2 : Not Last Used, 3 : Pseudo LRU, 4 : Least Recently Used, 5 : FIFO" />
-  <parameter name="dir_predictor_scheme"                  min="0"   max="8"    step="+ 1" default="1"   level="..." description="0 : Never take, 1 : Always Take, 2 : Static, 3 : Last Take, 4 : Counter, 5 : Local predictor, 6 : Global predictor, 7 : Meta predictor, 8 : Custom predictor" />
+  <parameter name="dir_predictor_scheme"                  min="0"   max="8"    step="+ 1" default="2"   level="..." description="0 : Never take, 1 : Always Take, 2 : Static, 3 : Last Take, 4 : Counter, 5 : Local predictor, 6 : Global predictor, 7 : Meta predictor, 8 : Custom predictor" />
   <parameter name="dir_have_bht"                                                          default="1"   level="..." description="..." />
-  <parameter name="dir_bht_size_shifter"                  min="1"   max="12"   step="+ 1" default="1"   level="..." description="..." />
-  <parameter name="dir_bht_nb_shifter"                    min="1"   max="4096" step="* 2" default="1"   level="..." description="..." />
+  <parameter name="dir_bht_size_shifter"                  min="1"   max="12"   step="+ 1" default="2"   level="..." description="..." />
+  <parameter name="dir_bht_nb_shifter"                    min="1"   max="4096" step="* 2" default="64"  level="..." description="..." />
   <parameter name="dir_have_pht"                                                          default="1"   level="..." description="..." />
-  <parameter name="dir_pht_size_counter"                  min="1"   max="4"    step="+ 1" default="1"   level="..." description="..." />
-  <parameter name="dir_pht_nb_counter"                    min="1"   max="4096" step="* 2" default="1"   level="..." description="..." />
-  <parameter name="dir_pht_size_address_share"            min="0"   max="12"   step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="dir_pht_size_counter"                  min="1"   max="4"    step="+ 1" default="2"   level="..." description="..." />
+  <parameter name="dir_pht_nb_counter"                    min="1"   max="4096" step="* 2" default="64"  level="..." description="..." />
+  <parameter name="dir_pht_size_address_share"            min="0"   max="12"   step="+ 1" default="0"   level="..." description="..." />
                                                                                
   <parameter name="nb_ooo_engine"                         min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
@@ -95,6 +102,4 @@
   <parameter name="size_re_order_buffer"                  min="1"   max="256"  step="+ 1" default="1"   level="..." description="..." />
   <parameter name="nb_re_order_buffer_bank"               min="1"   max="256"  step="* 2" default="1"   level="..." description="..." />
-  <parameter name="commit_priority"                       min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
-  <parameter name="commit_load_balancing"                 min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
   <parameter name="size_issue_queue"                      min="1"   max="64"   step="* 2" default="2"   level="..." description="..." />
   <parameter name="nb_issue_queue_bank"                   min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
@@ -103,6 +108,7 @@
   <parameter name="issue_load_balancing"                  min="1"   max="8"    step="* 2" default="1"   level="..." description="..." />
   <parameter name="size_reexecute_queue"                  min="1"   max="16"   step="* 2" default="2"   level="..." description="..." />
-  <parameter name="reexecute_priority"                    min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
-  <parameter name="reexecute_load_balancing"              min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="retire_ooo_scheme"                     min="0"   max="2"    step="+ 1" default="0"   level="..." description="..." />
+  <parameter name="commit_priority"                       min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
+  <parameter name="commit_load_balancing"                 min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
                                                                                
   <parameter name="nb_execute_loop"                       min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
@@ -119,23 +125,22 @@
   <parameter name="read_unit_to_execution_unit_priority"  min="1"   max="8"    step="+ 1" default="1"   level="..." description="..." />
 
-  <link name="link_context_with_thread"                   src="thread"           dest="context"      description="..." />
-  <link name="link_decod_unit_with_decod_bloc"            src="decod_bloc"       dest="decod_unit"   description="..." />
-  <link name="link_rename_unit_with_rename_bloc"          src="rename_bloc"      dest="rename_unit"  description="..." />
-  <link name="link_read_unit_with_read_bloc"              src="read_bloc"        dest="read_unit"    description="..." />
-  <link name="link_write_unit_with_write_bloc"            src="write_bloc"       dest="write_unit"   description="..." />
-  <link name="link_execute_unit_with_functionnal_unit"    src="functionnal_unit" dest="execute_unit" description="..." />
-  <link name="link_execute_unit_with_load_store_unit"     src="load_store_unit"  dest="execute_unit" description="..." />
-  <link name="link_decod_bloc_with_thread"                src="thread"           dest="decod_bloc"   description="..." />
-  <link name="link_rename_bloc_with_front_end"            src="front_end"        dest="rename_bloc"  description="..." />
-  <link name="link_icache_port_with_thread"               src="thread"           dest="icache_port"  description="..." />
-  <link name="link_dcache_port_with_load_store_unit"      src="load_store_unit"  dest="dcache_port"  description="..." />
-                                                          
-  <link name="table_dispatch"                             src="..."                                  description="..." />
-  <link name="link_read_bloc_and_load_store_unit"         src="..."                                  description="..." />
-  <link name="link_read_bloc_and_functionnal_unit"        src="..."                                  description="..." />
-  <link name="link_write_bloc_and_load_store_unit"        src="..."                                  description="..." />
-  <link name="link_write_bloc_and_functionnal_unit"       src="..."                                  description="..." />
-  <link name="link_load_store_unit_with_thread"           src="..."                                  description="..." />
-  <link name="link_thread_and_functionnal_unit"           src="..."                                  description="..." />
+  <link name="link_context_with_thread"                   src="thread"           dest="context"         description="..." />
+  <link name="link_decod_unit_with_decod_bloc"            src="decod_bloc"       dest="decod_unit"      description="..." />
+  <link name="link_rename_unit_with_rename_bloc"          src="rename_bloc"      dest="rename_unit"     description="..." />
+  <link name="link_read_unit_with_read_bloc"              src="read_bloc"        dest="read_unit"       description="..." />
+  <link name="link_write_unit_with_write_bloc"            src="write_bloc"       dest="write_unit"      description="..." />
+  <link name="link_execute_unit_with_functionnal_unit"    src="functionnal_unit" dest="execute_unit"    description="..." />
+  <link name="link_execute_unit_with_load_store_unit"     src="load_store_unit"  dest="execute_unit"    description="..." />
+  <link name="link_decod_bloc_with_thread"                src="thread"           dest="decod_bloc"      description="..." />
+  <link name="link_rename_bloc_with_front_end"            src="front_end"        dest="rename_bloc"     description="..." />
+  <link name="link_icache_port_with_thread"               src="thread"           dest="icache_port"     description="..." />
+  <link name="link_dcache_port_with_load_store_unit"      src="load_store_unit"  dest="dcache_port"     description="..." />
+
+  <link name="link_read_bloc_with_load_store_unit"        src="load_store_unit"  dest="read_bloc"       description="..." />
+  <link name="link_read_bloc_and_functionnal_unit"        src="..."                                     description="..." />
+  <link name="link_write_bloc_with_load_store_unit"       src="load_store_unit"  dest="write_bloc"      description="..." />
+  <link name="link_write_bloc_and_functionnal_unit"       src="..."                                     description="..." />
+  <link name="link_load_store_unit_with_thread"           src="thread"           dest="load_store_unit" description="..." />
+  <link name="link_thread_and_functionnal_unit"           src="..."                                     description="..." />
 
   <parameter name="latence"                               min="0"   max="64"   step="+ 1" default="0"   level="..." description="..." />
